(function() {
  var Extension;

  Extension = require('stout-core/base/Extension');

  module.exports = Extension.extend('stout-auth', {

    /**
     *
     *
     *
     */
    $name: 'extension.stout-auth',

    /**
     *
     *
     *
     */
    $register: function(components, log) {
      var component, i, len, ref, results;
      ref = [require('./model/User'), require('./model/Password'), require('./model/PasswordReset'), require('./model/Role'), require('./service/ServerAuthService'), require('./provider/UserProvider'), require('./provider/PasswordProvider'), require('./provider/PasswordResetProvider')];
      results = [];
      for (i = 0, len = ref.length; i < len; i++) {
        component = ref[i];
        results.push(components.add(component));
      }
      return results;
    }
  });

}).call(this);

//# sourceMappingURL=server-extension.js.map
