assert           = require('chai').assert
Password         = require '../../../model/Password'
sinon            = require 'sinon'
Datastore        = require 'stout-memory-datastore/Datastore'
User             = require '../../../model/User'



describe 'model/Password', ->
  password = null

  before ->
    Password.provider = null
    Password.datastore = new Datastore
    Password.belongsTo = [User]
    Password.$boot()

  beforeEach ->
    password = new Password
      algorithm: 'test-alg'
      version: 1
      verifier: 'fake-verifier'


  for prop in ['algorithm', 'version', 'verifier', 'user']
    ((prop) ->
      it "has a ##{prop} property", ->
        assert.property password, prop
    )(prop)
