Extension = require 'stout-core/base/Extension'

module.exports = Extension.extend 'stout-auth',

  ###*
  #
  #
  #
  ###
  $name: 'extension.stout-auth'


  ###*
  #
  #
  #
  ###
  $register: (components, log) ->

    components.add(component) for component in [
      require './model/User'
      require './model/Password'
      require './model/PasswordReset'
      require './model/Role'
      require './service/ServerAuthService'
      require './provider/UserProvider'
      require './provider/PasswordProvider'
      require './provider/PasswordResetProvider']
