assert       = require('chai').assert
Datastore    = require 'stout-memory-datastore/Datastore'
Role         = require '../../../model/Role'
RoleProvider = require '../../../provider/RoleProvider'
sinon        = require 'sinon'



describe 'model/Role', ->
  role = null

  before ->
    Role.__linked = false

    roleProvider = new RoleProvider
      datastore: new Datastore
      model: Role

    Role.hasMany = []
    Role.provider = roleProvider

    Role.$boot()

  beforeEach ->
    role = new Role name: 'test'


  for prop in ['name', 'permissions']
    ((prop) ->
      it "has a ##{prop} property", ->
        assert.property role, prop
    )(prop)
